<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Estimate Transaction</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_reports::sidebar_reports" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Estimate Transaction
                </div>
            </div>
        </div>


            <div class="row">
                <div class="col-md-6">
                    <form method="get">
                        <div class="row">
                            <div class="col-md-10">
                                <div class="mb-3">
                                    <select class="form-select" id="selectsatu" name="instansi">
                                        <option th:each="data : ${listInstansi}"
                                                th:selected="(${data} == *{instansiSelected})"
                                                th:text="${'('+ data.kode +')'  + '       -       ' +  data.nama}"
                                                th:value="${data.id}">sdasd</option>
                                    </select>
                                    <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                                </div>

                                <div class="mb-3">
                                    <select class="form-select" id="selectdua" name="departemen">
                                        <option th:value="${null}">-</option>
                                        <option th:each="data : ${listDepartemen}"
                                                th:selected="(${data} == *{departemenSelected})"
                                                th:text="${'('+ data.kodeDepartemen +')'  + '       -       ' +  data.namaDepartemen}"
                                                th:value="${data.id}">sdasd</option>
                                    </select>
                                    <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                                </div>
                                <div class="mb-3">
                                    <input type="date" class="form-control" name="tanggalMulai" th:value="${tanggalMulai}">
                                </div>

                                <div class="mb-3">
                                    <input type="date" class="form-control" name="tanggalSelesai" th:value="${tanggalSelesai}">
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="col-md-1" align="right">
                                    <!--                    <input type="hidden" name="departemen" th:value="${departemen}">-->
                                    <button type="submit" class="btn btn-default" style="--bs-btn-bg: #e8ecf1">Chose</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>


                <div class="col-md-6" align="right">
                    <form method="post" th:action="@{/reports/estimasi_keluar_excel/export}">
                        <div class="col-md-12">
                            <input type="hidden" name="tanggalMulaiExport" th:value="${tanggalMulai}">
                            <input type="hidden" name="tanggalSelesaiExport" th:value="${tanggalSelesai}">
                            <input type="hidden" name="instansi" th:if="${instansiSelected != null}" th:value="${instansiSelected.getId()}">
                            <input type="hidden" name="departemen" th:if="${departemenSelected != null}" th:value="${departemenSelected.getId()}">
                            <input th:if="${tanggalMulai != null && instansiSelected != null}" type="submit" class="btn btn-success pull-right" title="Export" value="Export">
                        </div>
                    </form>
                </div>
            </div>
            <br>


        <div class="row">
            <div class="col-md-12">
<!--                <div class="tableFixHead">-->
                    <table class="table table-hover small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Date</th>
                            <th>Code</th>
                            <th>Name</th>
                            <th>Detail</th>
                            <th>For</th>
                            <th>Qty</th>
                            <th>Unit</th>
                            <th>Amount</th>
                            <th>Total</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:if="${listEstimasiPengeluaran != null}" th:each="dataEstimasiPengeluaran,row: *{listEstimasiPengeluaran}">
                            <td th:text="${(row.index + 1)}">1.</td>
                            <td th:text="${#temporals.format(dataEstimasiPengeluaran.getTanggalEstimasi(),'dd-MMM-yyyy')}"></td>
                            <td th:text="${dataEstimasiPengeluaran.getKodeAnggaran()}"></td>
                            <td th:text="${dataEstimasiPengeluaran.getNamaAnggaran()}"></td>
                            <td th:text="${dataEstimasiPengeluaran.getDesDetail()}"></td>
                            <td th:text="${dataEstimasiPengeluaran.getDesEstimasi()}"></td>
                            <td th:text="${dataEstimasiPengeluaran.getKuantitas()}"></td>
                            <td th:text="${dataEstimasiPengeluaran.getSatuan()}"></td>
                            <td th:text="${#numbers.formatDecimal(dataEstimasiPengeluaran.getAmount(), 0, 'POINT', 2, 'COMMA')}"></td>
                            <td th:text="${#numbers.formatDecimal(dataEstimasiPengeluaran.getJumlah(), 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                        <tr>
                            <td colspan="9">Total Estimated</td>
                            <td th:text="${#numbers.formatDecimal(totalEstimasiPengeluaran, 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                        </tbody>
                    </table>
<!--                </div>-->
                <br>

                <!--                <nav aria-label="Page navigation example">-->
                <!--                    <ul class="pagination" sd:pagination="full">-->
                <!--                    </ul>-->
                <!--                </nav>-->
            </div>
        </div>

    </main>
</main>

</body>
</html>